<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <title>Classwork</title>
</head>

<body>
    <header>
        <input id="MyDateSelector" type="date" />
        <button id="ShowDayButton">Показать день недели</button>
    </header>
    <div id="result"></div>
    <script>

        /*
          Создайте функцию, которая по клику на "показать день недели" возвращает день недели для выбранной даты с интута.
          День нужно возвратить в div#result в текстовом формате т.е понедельник, вторник, суббота и т.д
        */
        const result = document.getElementById("result");
        const inputDate = document.getElementById("MyDateSelector");
        const btnGetWeekDay = document.getElementById("ShowDayButton");
            btnGetWeekDay.addEventListener('click', ShowWeekDay);

        const days = ['Неділя', 'Понеділок', 'Вівторок', 'Середа', 'Четвер', 'Пятниця', 'Субота'];

        function ShowWeekDay() {
            console.log(inputDate.value);
            var date = new Date(inputDate.value);
            var weekday = date.getDay();

            result.innerText = days[weekday];
        }
    </script>
</body>
</html>